from django.conf.urls import url

from .views import *

urlpatterns = [
    url(r'^$', EmissionListView.as_view(), name='emission-list'),
    url(r'^categories$', CategoryListView.as_view(), name='category-list'),
    url(r'^days$', DaysView.as_view(), name='days'),
    url(r'^add$', EmissionCreateView.as_view(), name='emission-add'),

    url(r'^upload/(?P<transaction_id>[a-zA-Z0-9-]+)/$', UploadView.as_view(), name='upload'),

    url(r'^news/(?P<slug>[\w,-]+)/$', NewsItemDetailView.as_view(), name='newsitem-view'),
    url(r'^news/(?P<slug>[\w,-]+)/delete$', NewsItemDeleteView.as_view(), name='newsitem-delete'),
    url(r'^news/(?P<slug>[\w,-]+)/edit$', NewsItemUpdateView.as_view(), name='newsitem-update'),

    url(r'^(?P<slug>[\w,-]+)/$', EmissionDetailView.as_view(), name='emission-view'),
    url(r'^(?P<slug>[\w,-]+)/edit/$', EmissionUpdateView.as_view(), name='emission-update'),
    url(r'^(?P<slug>[\w,-]+)/delete/$', EmissionDeleteView.as_view(), name='emission-delete'),
    url(r'^(?P<slug>[\w,-]+)/add-schedule$', EmissionAddScheduleView.as_view(), name='emission-add-schedule'),
    url(r'^(?P<slug>[\w,-]+)/add-absence$', EmissionAddAbsenceView.as_view(), name='emission-add-absence'),

    url(r'^(?P<slug>[\w,-]+)/chat/open/$', EmissionOpenChatView.as_view(), name='emission-open-chat'),
    url(r'^(?P<slug>[\w,-]+)/chat/close/$', EmissionCloseChatView.as_view(), name='emission-close-chat'),

    url(r'^(?P<emission_slug>[\w,-]+)/schedule/(?P<pk>\d+)/remove$',
            ScheduleDeleteView.as_view(), name='schedule-delete'),
    url(r'^(?P<emission_slug>[\w,-]+)/absence/(?P<pk>\d+)/remove$',
            AbsenceDeleteView.as_view(), name='absence-delete'),

    url(r'^(?P<emission_slug>[\w,-]+)/add$', EpisodeCreateView.as_view(), name='episode-add'),
    url(r'^(?P<emission_slug>[\w,-]+)/(?P<slug>[\w,-]+)/$', EpisodeDetailView.as_view(), name='episode-view'),
    url(r'^(?P<emission_slug>[\w,-]+)/(?P<slug>[\w,-]+)/edit/$', EpisodeUpdateView.as_view(), name='episode-update'),
    url(r'^(?P<emission_slug>[\w,-]+)/(?P<slug>[\w,-]+)/delete/$', EpisodeDeleteView.as_view(), name='episode-delete'),

    url(r'^(?P<emission_slug>[\w,-]+)/(?P<slug>[\w,-]+)/start/$',
        EpisodeStartView.as_view(), name='episode-start'),
    url(r'^(?P<emission_slug>[\w,-]+)/(?P<slug>[\w,-]+)/stop/$',
        EpisodeStopView.as_view(), name='episode-stop'),

    url(r'^(?P<emission_slug>[\w,-]+)/(?P<slug>[\w,-]+)/add-soundfile$',
            EpisodeAddSoundFileView.as_view(), name='episode-add-soundfile'),
    url(r'^(?P<emission_slug>[\w,-]+)/(?P<slug>[\w,-]+)/add-diffusion$',
            EpisodeAddDiffusionView.as_view(), name='episode-add-diffusion'),
    url(r'^(?P<emission_slug>[\w,-]+)/(?P<slug>[\w,-]+)/diffusion/(?P<pk>\d+)/remove$',
            DiffusionDeleteView.as_view(), name='diffusion-delete'),
    url(r'^(?P<emission_slug>[\w,-]+)/(?P<slug>[\w,-]+)/sounds/(?P<pk>\d+)/remove$',
            SoundFileDeleteView.as_view(), name='soundfile-delete'),
    url(r'^(?P<emission_slug>[\w,-]+)/(?P<slug>[\w,-]+)/sounds/(?P<pk>\d+)/$',
            SoundFileUpdateView.as_view(), name='soundfile-update'),

    url(r'^(?P<emission_slug>[\w,-]+)/(?P<slug>[\w,-]+)/regie/$',
        EpisodeRegieView.as_view(), name='episode-regie'),
    url(r'^(?P<emission_slug>[\w,-]+)/(?P<slug>[\w,-]+)/regie/marks/$',
        EpisodeRegieMarks.as_view(), name='episode-regie-marks'),
    url(r'^(?P<emission_slug>[\w,-]+)/(?P<slug>[\w,-]+)/regie/delete/$',
        EpisodeRegieDeleteElementView.as_view(), name='episode-regie-delete-element'),
    url(r'^(?P<emission_slug>[\w,-]+)/(?P<slug>[\w,-]+)/regie/update-order$',
        EpisodeRegieUpdateOrderView.as_view(), name='episode-regie-update-order'),

    url(r'^(?P<emission_slug>[\w,-]+)/add-newsitem$',
            EmissionNewsItemAdd.as_view(), name='emission-newsitem-add'),

    url(r'^category/(?P<slug>[\w,-]+)/add-newsitem$', CategoryNewsItemAddView.as_view(), name='newsitem-add'),
    url(r'^add-newsitem$', NewsItemAddView.as_view(), name='newsitem-add'),

]
